import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLabelElement } from "../../elements/StiLabelElement";
export declare class StiLabelComponent implements OnInit {
    model: StiModelService;
    element: StiLabelElement;
    isClone: boolean;
    get borderInnerWidth(): Number;
    get borderInnerHeight(): Number;
    get selected(): boolean;
    get exceedMarginsLeft(): number;
    get exceedMarginsTop(): number;
    get exceedMarginsWidth(): number;
    get exceedMarginsHeight(): number;
    get horizontalAlignment(): "center" | "start" | "flex-end";
    get verticalAlignment(): "center" | "start" | "flex-end";
    openLink(): void;
    constructor(model: StiModelService);
    ngOnInit(): void;
}
